

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="<?php echo e(asset('admin/css/summernote.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('admin/css/bootstrap-tagsinput.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="row">
 <div class="col-lg-9">      
  <div class="card">
   <div class="card-body">
     <div class="alert alert-danger none errorarea">
      <ul id="errors">

      </ul>
    </div>
    <h4><?php echo e(__('Edit Product')); ?></h4>
    <form method="post" id="basicform" action="<?php echo e(route('admin.ecommerce.product.update',$info->id)); ?>">
     <?php echo csrf_field(); ?>
     <?php echo method_field('PUT'); ?>
     <div class="custom-form pt-20">
      <div class="form-group">
       <label for="name"><?php echo e(__('Product Title')); ?><span class="text-danger"><b>*</b></span></label>
       <input type="text" placeholder="Product Title" name="title" class="form-control" id="name" value="<?php echo e($info->title); ?>">
     </div>
     <div class="form-group">
       <label ><?php echo e(__('Product Slug')); ?><span class="text-danger"><b>*</b></span></label>
       <input type="text" placeholder="Product Slug" name="slug" class="form-control"  value="<?php echo e($info->slug); ?>" required="">
     </div>
     <div class="form-group">
      <label for="name"><?php echo e(__('Previous Price')); ?></label>
      <input type="number" placeholder="Previous Price" class="form-control" name="p_price" id="p_price" value="<?php echo e($info->productMeta->p_price); ?>">
    </div>
    <div class="form-group">
      <label ><?php echo e(__('Selling Price')); ?><span class="text-danger"><b>*</b></span></label>
      <input type="number" placeholder="Selling Price" class="form-control" name="s_price" required="" value="<?php echo e($info->productMeta->s_price); ?>">
    </div>
    <div class="form-group">
      <label ><?php echo e(__('Tax')); ?></label>
      <input type="text" placeholder="Enter Tax Without Percent Sign" class="form-control" name="tax" value="<?php echo e($info->productMeta->tax); ?>">
    </div>
     <div class="form-group">
      <label ><?php echo e(__('Quantity')); ?></label>
      <input type="number" placeholder="Enter Quantity" class="form-control" name="qty" value="<?php echo e($info->productMeta->qty); ?>">
    </div>
    <div class="form-group">
      <label ><?php echo e(__('SKU')); ?></label>
      <input type="text" placeholder="Enter SKU" class="form-control" name="sku" value="<?php echo e($info->productMeta->sku); ?>">
    </div>
     <div class="form-group">
      <label >Stock Status</label>
      
      <select class="form-control" name="stock_status">
        <option value="In stock" value="<?php echo e($info->productMeta->stock_status == 'In stock'); ?>">In stock</option>
        <option value="Available on backorder" value="<?php echo e($info->productMeta->stock_status == 'Available on backorder'); ?>">Available on backorder</option>
        <option value="Out of stock" value="<?php echo e($info->productMeta->stock_status == 'Out of stock'); ?>">Out of stock</option>
      </select>
    </div>

    <div class="form-group">
     <label for="excerpt"><?php echo e(__('Excerpt')); ?></label>
     <textarea name="excerpt" class="form-control" cols="30" rows="3" placeholder="short description" id="excerpt" maxlength="300" ><?php echo e($info->meta->excerpt); ?></textarea>
   </div>
   <div class="form-group">
     <label for="content"><?php echo e(__('Product Content')); ?></label>
     <textarea name="content" class="form-control" cols="30" rows="10" placeholder="Enter Content" id="content" name="content"><?php echo $json->content; ?></textarea>
   </div>
   <div class="form-group">
     <label for="information"><?php echo e(__('Product Information')); ?></label>
     <textarea name="information" class="form-control" cols="10" rows="5" placeholder="Enter Information" id="information" ><?php echo e($json->information); ?></textarea>
   </div>

 </div>
</div>
</div>
<div class="card">
  <div class="card-body">
   <h4><?php echo e(__('Search Engine Optimization')); ?></h4>
   <div class="search-engine">
    <h6 class="pt-15 page-title-seo" id="seotitle"><?php echo e($info->title); ?></h6>
    <a href="#" class="text-success" id="seourl"><?php echo e(url('/').'/product/'.$info->slug); ?></a>
    <p id="seodescription"><?php echo e($info->meta->excerpt); ?></p>
  </div>

</div>
</div>
</div>
<div class="col-lg-3">
  <div class="single-area">
   <div class="card">
    <div class="card-body">
     <h5><?php echo e(__('Publish')); ?></h5>
     <hr>
     <div class="btn-publish">
      <button type="submit" class="btn btn-save"><i class="fa fa-save"></i> <?php echo e(__('Save')); ?></button>
    </div>
  </div>
</div>
</div>
<?php echo adminLang($info->lang); ?>
<div class="single-area">
 <div class="card sub">
  <div class="card-body">
   <h5><?php echo e(__('Status')); ?></h5>
   <hr>
   <select class="custom-select mr-sm-2" id="inlineFormCustomSelect" name="status">
    <option value="1" <?php if($info->status==1): ?> selected="" <?php endif; ?>><?php echo e(__('Published')); ?></option>
    <option value="2" <?php if($info->status==2): ?> selected="" <?php endif; ?>><?php echo e(__('Draft')); ?></option>

  </select>
</div>
</div>
</div>
<div class="single-area">
 <div class="card sub">
  <div class="card-body">
   <h5><?php echo e(__('Categories')); ?></h5>
   <hr>
   <div class="scroll-bar-wrap">
     <div class="category-list">
     <?php
      $catArr=[];

      foreach ($info->categories as $row) {
        array_push($catArr, $row->id);
      }

      ?>  

      <?php echo AdminCategoryUpdate(2, $catArr); ?>
       <div class="cover-bar"></div>
     </div>
   </div>
 </div>
</div>
</div>
<div class="single-area">
 <div class="card sub">
  <div class="card-body">
   <h5><a href="#" class="text-dark" data-toggle="modal" data-target=".media-single" class="single-modal"><?php echo e(__('Image')); ?></a></h5>
   <hr>
   <a href="#" data-toggle="modal" data-target=".media-single" class="single-modal">
    <?php
    if (!empty($info->meta->preview)) {
       $preview= $info->meta->preview;
    }
    else{
      $preview= 'admin/img/img/placeholder.png';
    }
   
    ?>

    <img class="img-fluid" id="preview" src="<?php echo e(asset($preview)); ?>" alt=""></a>
  </div>
</div>
</div>
<div class="single-area">
  <div class="card sub">
    <div class="card-body">
      <h5><a href="#" class="text-dark" data-toggle="modal" data-target=".media-single" class="single-modal"><?php echo e(__('Gallery')); ?></a></h5>
      <hr>
      <a href="#" data-toggle="modal" data-target=".media-multiple" class="multi-modal">
        <?php if(empty($img_array)): ?>
        <img class="img-fluid multi-img" id="preview" src="<?php echo e(asset('admin/img/img/placeholder.png')); ?>" alt="">
       
        <div class="gallary-img"></div>
       
          <?php else: ?>
           <div class="gallary-img">
          <?php $__currentLoopData = $img_array; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
             <img class="gallary-src" src="<?php echo e(asset($row)); ?>" height="80" />
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
           </div>
          <?php endif; ?>
       
        
      </a>
    </div>
  </div>
</div>

<div class="single-area">
  <div class="card sub">
    <div class="card-body">
      <h5><?php echo e(__('Tags')); ?></h5>
      <hr>
      <input type="text" name="tag" id="tags" class="form-control" value="<?php echo e($info->tags); ?>">
    </div>
  </div>
</div>
<div class="single-area">
  <div class="card sub">
    <div class="card-body">
      <h5><?php echo e(__('Comment Status')); ?></h5>
      <hr>
      <select class="form-control" name="comment_status">
        <option value="1" <?php if($info->post->comment_status==1): ?> selected="" <?php endif; ?> >Allowed Comment</option>
        <option value="0" <?php if($info->post->comment_status==0): ?> selected="" <?php endif; ?> >Comment Not Allow</option>
        <option value="2" <?php if($info->post->comment_status==2): ?> selected="" <?php endif; ?> >Disqus Comment</option>
        <option value="3" <?php if($info->post->comment_status==3): ?> selected="" <?php endif; ?> >Facebook Comment</option>
        <option value="4" <?php if($info->post->comment_status==4): ?> selected="" <?php endif; ?> >Custom Comment</option>
      </select>
    </div>
  </div>
</div>
</div>
</div>
<input type="hidden"  name="type" value="0">
<input type="hidden"  name="post_type" value="ecommerce">
<input type="hidden" id="preview_input" name="preview" value="<?php echo e($info->meta->preview); ?>">
<input type="hidden" id="gallary_input" name="gallery" value="<?php echo e($info->meta->gallery); ?>">



</form>
<?php echo $__env->make('admin.media.mediamodal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('admin.media.multiplemediamodel', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('admin/js/summernote.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/js/custom-summernote.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/js/bootstrap-tagsinput.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/js/form.js')); ?>"></script>
<script src="<?php echo e(asset('admin/js/media.js')); ?>"></script>
<script>
  (function ($) {
    "use strict";

    $('#tags').tagsinput();
    $('.use').on('click',function(){

      $('#preview').attr('src',myradiovalue);
      $('#preview_input').val(myradiovalue);
      
    });


    


     //for multiple
     $('.use1').on('click',function(){
      $('.multi-img').hide();
      $('.gallary-src').remove();
      $.each(mycheckboxvalue, function(index, value){
        $(".gallary-img").append('<img class="gallary-src" src="' + value + '" />');
      });

      $('#gallary_input').val(mycheckboxvalue.toString())

    });



   })(jQuery);


</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\multipurpose_monkey\script\am-content\Plugins/ecommerce/views/admin/product/edit.blade.php ENDPATH**/ ?>