
<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="<?php echo e(theme_asset('monkey/public/css/bootstrap-datetimepicker.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('admin/css/select2.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
	<div class="col-lg-9">
		<div class="card">
			<div class="card-body">
				<h4><?php echo e(__('Add new Metting')); ?></h4>
				<?php if($errors->any()): ?>
				<div class="alert alert-danger">
					<ul>
						<?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						<li><?php echo e($error); ?></li>
						<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
					</ul>
				</div>
				<?php endif; ?>
				<form method="post" action="<?php echo e(route('zoom.create_metting')); ?>" id="basicform">
					<?php echo csrf_field(); ?>
				<div class="custom-form pt-20">
					<div class="form-group">
						<label for="topic"><?php echo e(__('Metting Topic')); ?></label>
						<input type="text" placeholder="Metting Topic" class="form-control" name="topic" id="topic">
					</div>
					<div class="form-group">
						<label for="type"><?php echo e(__('Metting Type')); ?></label>
						<select class="custom-select mr-sm-2" id="type" name="type">
							<option value="1">Instant Metting</option>
							<option selected value="2">Scheduled Metting</option>
							<option value="3">Recurring metting with no fixed time</option>
						</select>
					</div>
					<div class="form-group">
						<label for="time"><?php echo e(__('Start Time')); ?></label>
						<input type="text" placeholder="Start Time" class="form_datetime form-control" name="start_time" id="time" autocomplete="off">
					</div>
					<div class="form-group">
						<label for="duration"><?php echo e(__('Metting Duration(minutes)')); ?></label>
						<input type="number" placeholder="Metting Duration" class="form-control" name="duration" id="duration">
					</div>
					<?php 
					$tzlist = DateTimeZone::listIdentifiers(DateTimeZone::ALL);
					?>
					<div class="form-group">
						<label for="timezone"><?php echo e(__('Metting TimeZone')); ?></label>
						<select class="custom-select mr-sm-2" id="timezone" name="timezone">
							<?php $__currentLoopData = $tzlist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
							<option <?php echo e($value == date_default_timezone_get() ? 'selected' : ''); ?> value="<?php echo e($value); ?>"><?php echo e($value); ?></option>
							<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
						</select>
					</div>
					<div class="form-group">
						<label for="user"><?php echo e(__('Select User')); ?></label>
						<select class="all-user custom-select mr-sm-2" id="user" name="user[]" multiple>
							<?php $__currentLoopData = App\User::where('role_id',2)->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
							<option  value="<?php echo e($value->id); ?>"><?php echo e($value->email); ?></option>
							<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
						</select>
					</div>
					<div class="form-group">
						<label for="password"><?php echo e(__('Metting Password')); ?></label>
						<input type="password" placeholder="Metting Password" class="form-control" name="password" id="password">
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="col-lg-3">
		<div class="single-area">
			<div class="card">
				<div class="card-body">
					<h5><?php echo e(__('Publish')); ?></h5>
					<hr>
					<div class="btn-publish">
						<button type="submit" class="btn btn-save"><i class="fa fa-save"></i> <?php echo e(__('Save')); ?></button>
					</div>
				</div>
			</div>
		</div>
		<div class="single-area">
			<div class="card sub">
				<div class="card-body">
					<h5><?php echo e(__('Status')); ?></h5>
					<hr>
					<select class="custom-select mr-sm-2" id="inlineFormCustomSelect" name="status">
						<option selected value="1"><?php echo e(__('Published')); ?></option>
						<option value="2"><?php echo e(__('Draft')); ?></option>

					</select>
				</div>
			</div>
		</div>
		<div class="single-area">
		 	<div class="card sub">
		  		<div class="card-body">
		   			<h5><?php echo e(__('Settings')); ?></h5>
		   			<hr>
		   			<div class="scroll-bar-wrap">
		     			<div class="category-list">
		       				<div class="custom-control custom-checkbox"><input type="checkbox" name="host_video" checked class="custom-control-input" value="1" id="host_video">
								<label class="custom-control-label" for="host_video">Host Video
								</label>
							</div>
							<div class="custom-control custom-checkbox"><input type="checkbox" name="participant_video" class="custom-control-input" value="1" id="participant_video">
								<label class="custom-control-label" for="participant_video">Participant Video
								</label>
							</div>
							<div class="custom-control custom-checkbox"><input type="checkbox" name="join_before_host" checked class="custom-control-input" value="1" id="join_before_host">
								<label class="custom-control-label" for="join_before_host">Join Before Host
								</label>
							</div>
		       				<div class="cover-bar"></div>
		     			</div>
		   			</div>
		 		</div>
			</div>
		</div>
	</div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(theme_asset('monkey/public/js/bootstrap-datetimepicker.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/js/select2.min.js')); ?>"></script>
<script>
	$(".form_datetime").datetimepicker({
		format: 'yyyy-mm-ddThh:mm:ss',
		autoclose: true,
		todayBtn: true
	});
	$('.all-user').select2();
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\multipurpose_monkey\script\am-content\Plugins/zoom/views/zoom/create.blade.php ENDPATH**/ ?>