

<?php $__env->startSection('content'); ?>
<!-- slider area start -->
<section id="checkout_breadcrumb">
	<div class="slider-area breadcrumb" id="checkout_breadcrumb_bg_img" style="background-image: url(<?php echo e(asset(content('checkout_breadcrumb','checkout_breadcrumb_bg_img'))); ?>);">
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="breadcrumb-area text-center">
						<h3 id="checkout_breadcrumb_title"><?php echo e(content('checkout_breadcrumb','checkout_breadcrumb_title')); ?></h3>
						<div class="breadcrump-title">
							<span id="checkout_breadcrumb_des"><?php echo e(content('checkout_breadcrumb','checkout_breadcrumb_des')); ?></span>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- slider area end -->
<input type="hidden" id="stripe_key" value="<?php echo e(env('STRIPE_KEY')); ?>">
<form action="<?php echo e(route('checkout.store')); ?>" method="post" >
	<?php echo csrf_field(); ?>
	<!-- checkout area start -->
	<section>
		<div class="checkout-area pt-100 pb-100" id="checkout">
			<div class="container">
				<div class="row mt-30">
					<div class="col-lg-7">
						<div class="biling-information">
							<h3 id="billing_title"><?php echo e(content('checkout','billing_title')); ?></h3>
						</div>
						<div class="custom-checkout-form">
							<div class="row">
								<div class="col-lg-12 mb-10">
									<div class="form-group">
										<label for="first_name"><?php echo e(__('Name')); ?></label>
										<input type="text" class="form-control" id="first_name" name="name" required="" value="<?php echo e(Auth::user()->name ?? ''); ?>">
									</div>
								</div>
								
								<div class="col-lg-6 mb-10">
									<div class="form-group">
										<label for="phone"><?php echo e(__('Phone')); ?></label>
										<input type="text" class="form-control" id="phone" name="phone" required="">
									</div>
								</div>
								<div class="col-lg-6 mb-10">
									<div class="form-group">
										<label for="email"><?php echo e(__('Email')); ?></label>
										<input type="email" class="form-control" id="email" name="email" value="<?php echo e(Auth::user()->email ?? ''); ?>" required="">
									</div>
								</div>
								
								<div class="col-lg-12 mb-10">
									<div class="form-group">
										<label for="street"><?php echo e(__('Street address')); ?></label>
										<input type="text" class="form-control" id="street" placeholder="House number and street name" name="street_address_1">
									</div>
								</div>
								<div class="col-lg-12 mb-10">
									<div class="form-group">
										<input type="text" class="form-control" id="street" placeholder="Apartment, suite, unit etc. (optional)" name="street_address_2">
									</div>
								</div>
								<div class="col-lg-12 mb-10">
									<div class="form-group">
										<label for="city"><?php echo e(__('Town / City')); ?></label>
										<input type="text" class="form-control" id="city" name="city">
									</div>
								</div>
								<div class="col-lg-12 mb-10">
									<div class="form-group">
										<label for="state"><?php echo e(__('State')); ?> </label>
										<input type="text" class="form-control" id="state" name="state">
									</div>
								</div>
								
								<div class="col-lg-12 mb-10">
									<div class="form-group">
										<label for="note"><?php echo e(__('Order Note')); ?></label>
										<textarea class="form-control" id="note" cols="30" rows="5" placeholder="Notes about your order, e.g. special notes for delivery." name="note"></textarea>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="col-lg-5">
						<div class="biling-information">
							<h3 id="order_title"><?php echo e(content('checkout','order_title')); ?></h3>
						</div>
						<?php 
						$ecom_settings=LpOption('ecommerce');
						
						?>
						<div class="order_table table-responsive">
							<table class="table">
								<thead>
									<tr>
										<th><?php echo e(__('Product')); ?></th>
										<th><?php echo e(__('Total')); ?></th>
									</tr>
								</thead>
								<tbody>
									<?php $__currentLoopData = Cart::content(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cart): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
									<tr>
										<td> <?php echo e($cart->name); ?> <strong> × <?php echo e($cart->qty); ?></strong></td>
										<td> <i class="<?php echo e($ecom_settings->icon); ?>"></i><?php echo e($cart->total); ?></td>
									</tr>
									<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
								</tbody>
								<tfoot>
									<tr>
										<th><?php echo e(__('Cart Subtotal')); ?></th>
										<td><strong><i class="<?php echo e($ecom_settings->icon); ?>"></i><?php echo e(Cart::Subtotal()); ?></strong></td>
									</tr>
									<tr>
										<th><?php echo e(__('Tax')); ?></th>
										<td><strong><i class="<?php echo e($ecom_settings->icon); ?>"></i><?php echo e(Cart::tax()); ?></strong></td>
									</tr>
									<tr>
										<th><?php echo e(__('Shipping')); ?></th>
										<td><strong><i class="<?php echo e($ecom_settings->icon); ?>"></i><?php echo e($ecom_settings->shipping); ?></strong></td>
									</tr>
									<tr class="order_total">
										<th><?php echo e(__('Order Total')); ?></th>
										<?php
	
										$str=str_replace(',', '', Cart::total());
										?>
										<td><strong><i class="<?php echo e($ecom_settings->icon); ?>"></i><?php echo e(number_format($str+$ecom_settings->shipping,2)); ?></strong></td>
										<input type="hidden" name="amount" value="<?php echo e(Cart::total()); ?>">
										<input type="hidden" name="tax" value="<?php echo e(Cart::tax()); ?>">
										<input type="hidden" name="currency" value="<?php echo e($ecom_settings->currency); ?>">
										<input type="hidden" name="discount" value="0">
									</tr>
								</tfoot>
							</table>
						</div>
						<div class="order_button mt-3">
							<button type="submit" class="btn-custom" id="order_button_name"><?php echo e(content('checkout','order_button_name')); ?></button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- checkout area end -->
</form>

<!-- quote area start -->
<section id="checkout_quote">
	<div class="quote-area pb-100">
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="quote-info text-center">
						<h2 id="checkout_quote_title"><?php echo e(content('checkout_quote','checkout_quote_title')); ?></h2>
						<p id="checkout_quote_description"><?php echo e(content('checkout_quote','checkout_quote_description')); ?></p>
						<a href="<?php echo e(url('contact')); ?>" id="checkout_quote_button"><?php echo e(content('checkout_quote','checkout_quote_button')); ?></a>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- quote area end -->


<?php
$basic_info=LpOption('system_basic_info');

?>
<?php if(!empty($basic_info->gallary_input)): ?>
<?php
$gallery=explode(',', $basic_info->gallary_input);

?>
<!-- band area start -->
<section id="band">
	<div class="band-area pt-100 pb-100">
		<div class="container">
			<div class="row owl-carousel2 owl-carousel">


				<?php $__currentLoopData = $gallery; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
				<div class="col-lg-12">
					<div class="band-img">
						<img id="band_first_img" src="<?php echo e(asset($row)); ?>" alt="">
					</div>
				</div>
				<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

			</div>
		</div>
	</div>
</section>
<?php endif; ?>
<!-- band area end -->

<?php $__env->stopSection(); ?>

<?php echo $__env->make('theme::layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\multipurpose_monkey\script\am-content\Themes/monkey/views/checkout/index.blade.php ENDPATH**/ ?>