

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="<?php echo e(asset('admin/css/summernote.min.css')); ?>">
<link rel="stylesheet" href="<?php echo e(asset('admin/css/bootstrap-tagsinput.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="row">
	<div class="col-lg-9">      
		<div class="card">
			<div class="card-body">
				<h4><?php echo e(__('Edit Page')); ?></h4>
				<div class="alert alert-danger none errorarea">
					<ul id="errors">

					</ul>
				</div>
				<form method="post" id="basicform" action="<?php echo e(route('admin.page.update',$info->id)); ?>">
					<?php echo csrf_field(); ?>
					<?php echo method_field('PUT'); ?>
					<div class="custom-form pt-20">
						<div class="form-group">
							<label for="name"><?php echo e(__('Page Title')); ?></label>
							<input type="text" placeholder="Page Title" class="form-control" name="title" id="name" value="<?php echo e($info->title); ?>">
						</div>
						<div class="form-group">
							<label for="slug"><?php echo e(__('Page Slug')); ?></label>
							<input type="text" placeholder="Page Title" class="form-control" name="slug" id="slug" value="<?php echo e($info->slug); ?>">
						</div>
						<div class="form-group">
							<label for="content"><?php echo e(__('Meta Description')); ?></label>
							<textarea name="excerpt" class="form-control" maxlength="400" cols="30" rows="5" placeholder="Meta Descriptionn" id="description"><?php echo e($info->meta->excerpt); ?></textarea>
						</div>
						<div class="form-group">
							<label for="content"><?php echo e(__('Page Content')); ?></label>
							<textarea name="content" class="form-control" cols="30" rows="10" placeholder="Enter Content" id="content"><?php echo $info->post->content; ?></textarea>
						</div>
					</div>
				</div>
			</div>
			<div class="card">
				<div class="card-body">
					<h4><?php echo e(__('Search Engine Optimization')); ?></h4>
					<div class="search-engine">
						<h6 class="pt-15 page-title-seo" id="seotitle"><?php echo e($info->title); ?></h6>
						<a href="#" class="text-success" id="seourl"><?php echo e(url('/').'/page/'.$info->slug); ?></a>
						<p id="seodescription"><?php echo e($info->meta->excerpt); ?></p>
					</div>
				</div>
			</div>
		</div>
		<div class="col-lg-3">
			<div class="single-area">
				<div class="card">
					<div class="card-body">
						<h5><?php echo e(__('Publish')); ?></h5>
						<hr>
						<div class="btn-publish">
							<button type="submit" class="btn btn-save"><i class="fa fa-save"></i> <?php echo e(__('Update')); ?></button>
							
						</div>
					</div>
				</div>
			</div>
			<div class="single-area">
				<div class="card sub">
					<div class="card-body">
						<h5><?php echo e(__('Status')); ?></h5>
						<hr>
						<select class="custom-select mr-sm-2" id="inlineFormCustomSelect" name="status">
							<option selected value="1" <?php if($info->status==1): ?> selected="" <?php endif; ?>><?php echo e(__('Published')); ?></option>
							<option value="2" <?php if($info->status==2): ?> selected="" <?php endif; ?>><?php echo e(__('Draft')); ?></option>
							
						</select>
					</div>
				</div>
			</div>
			<?php echo adminLang($info->lang); ?>
			<div class="single-area">
				<div class="card sub">
					<div class="card-body">
						<h5><?php echo e(__('Meta Tags')); ?></h5>
						<hr>
						<input type="text" name="tags" id="tags" placeholder="Enter tags" value="<?php echo e($info->tags); ?>">
					</div>
				</div>
			</div>
		</div>
		

		<input type="hidden" name="type" value="1">
		<input type="hidden"  name="post_type" value="page">
	</form>
	
	<?php $__env->stopSection(); ?>

	<?php $__env->startSection('script'); ?>
	<script src="<?php echo e(asset('admin/js/summernote.min.js')); ?>"></script>
	<script src="<?php echo e(asset('admin/js/custom-summernote.min.js')); ?>"></script>
	<script src="<?php echo e(asset('admin/js/bootstrap-tagsinput.min.js')); ?>"></script>
	<script src="<?php echo e(asset('admin/js/form.js')); ?>"></script>

	<script>
 $('#tags').tagsinput();
//error response will assign this function
function errosresponse(xhr){
	$("#errors").html("<li class='text-danger'>"+xhr.responseJSON[0]+"</li>")
} 

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\multipurpose_monkey\script\resources\views/admin/page/edit.blade.php ENDPATH**/ ?>