

<?php $__env->startSection('content'); ?>
<div class="card"  >
	<div class="card-body">

		<div class="card-action-filter">
			
			<div class="row">
				<div class="col-lg-6">
					<div class="cart-filter mb-20">
						<a href="<?php echo e(route('admin.ecommerce.order.index')); ?>"><?php echo e(__('All')); ?> <span>(<?php echo e(App\Order::count()); ?>)</span></a>
						<a href="?st=Completed"><?php echo e(__('Completed')); ?> <span>(<?php echo e(App\Order::where('order_status','Completed')->count()); ?>)</span></a>
						<a href="?st=Pending"><?php echo e(__('Pending')); ?> <span>(<?php echo e(App\Order::where('order_status','Pending')->count()); ?>)</span></a>
						<a href="?st=Cancelled" class="trash"><?php echo e(__('Cancelled')); ?> <span>(<?php echo e(App\Order::where('order_status','Cancelled')->count()); ?>)</span></a>
					</div>
				</div>
				<div class="col-lg-6">
					<div class="single-filter f-right">
						<div class="form-group">
							<form>
								<input type="text" id="data_search" class="form-control" name="src" placeholder="Enter Order Id" value="<?php echo e($src ?? ''); ?>">
							</form>
						</div>
					</div>
				</div>
			</div>


		</div>
		<div class="table-responsive custom-table">
			<table class="table">
				<thead>
					<tr>

						<th class="am-title"><?php echo e(__('Order ID')); ?></th>
						<th class="am-title"><?php echo e(__('Order Status')); ?></th>
						<th class="am-title"><?php echo e(__('Order Method')); ?></th>
						<th class="am-title"><?php echo e(__('Amount')); ?></th>

						<th class="am-date"><?php echo e(__('Order Created')); ?></th>
						<th class="am-date"><?php echo e(__('Action')); ?></th>
					</tr>
				</thead>
				<tbody>
					<?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
					<?php
					$order_data=json_decode($post->oder_data);
					?>
					<tr>

						<td>
							<a href="<?php echo e(route('admin.ecommerce.order.show',$post->id)); ?>">#<?php echo e($post->id); ?></a>
							<div class="hover">
								<a href="<?php echo e($order_data->receipt_url); ?>" target="_blank">Payment Receipt</a>
								<a href="<?php echo e(route('admin.ecommerce.order.show',$post->id)); ?>" class="last"><?php echo e(__('Invoice')); ?></a>
							</div>
						</td>
						<td>
							<?php
							if($post->order_status=='Pending'){
								$color="text-warning";
							}
							elseif($post->order_status=='Processing'){
								$color="text-info";
							}
							elseif($post->order_status=='On hold'){
								$color="text-primary";
							}
							elseif($post->order_status=='Completed'){
								$color="text-success";
							}
							else{
								$color="text-danger";
							}

							?>
							<p class="<?php echo e($color); ?>"><?php echo e($post->order_status); ?></p>

						</td>
						<td>
							<?php echo e($post->order_method); ?>

						</td>
						<td>
							<i class="<?php echo e($ecom->icon); ?>"></i> <?php echo e($post->amount); ?>

						</td>

						<td>
							<div class="date">
								<?php echo e($post->updated_at->diffForHumans()); ?><br>
								<?php echo e($post->updated_at->format('d-F-Y')); ?>

							</div>
						</td>
						<td>
							<?php if($post->order_status !== 'Completed'): ?>
							<select class="form-control" id="status<?php echo e($post->id); ?>" onchange="status('<?php echo e($post->id); ?>')">
								<option value="Pending" <?php if($post->order_status=='Pending'): ?> disabled selected <?php endif; ?>>Pending</option>
								<option value="Processing" <?php if($post->order_status=='Processing'): ?> disabled selected <?php endif; ?>>Processing </option>
								<option value="Completed" <?php if($post->order_status=='Completed'): ?> disabled selected <?php endif; ?>>Completed  </option>
								<option value="On hold" <?php if($post->order_status=='On hold'): ?> disabled selected <?php endif; ?>>On hold</option>
								<option value="Canceled" <?php if($post->order_status=='Canceled'): ?> disabled selected <?php endif; ?>>Canceled</option>
							</select>
							<?php endif; ?>
						</td>
					</tr>
					<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				</tbody>
				
				<tfoot>
					<tr>
						
						<th class="am-title"><?php echo e(__('Order ID')); ?></th>
						<th class="am-title"><?php echo e(__('Order Status')); ?></th>
						<th class="am-title"><?php echo e(__('Order Method')); ?></th>
						<th class="am-title"><?php echo e(__('Amount')); ?></th>

						<th class="am-date"><?php echo e(__('Order Created')); ?></th>
						<th class="am-date"><?php echo e(__('Action')); ?></th>
					</tr>
				</tfoot>
			</table>
			<?php echo e($orders->links()); ?>


		</div>
	</div>
</div>
<form method="post" action="<?php echo e(route('admin.ecommerce.order.store')); ?>" id="basicform">
	<?php echo csrf_field(); ?>
	<input type="hidden" name="id" id="id">
	<input type="hidden" name="status" id="status">
	<button type="submit" class="none" id="submit"></button>
</form>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('admin/js/form.js')); ?>"></script>
<script type="text/javascript">
	"use strict";	
	//response will assign this function
	function success(res){
		location.reload();
	}
	
	function status(id) {
		var val = $('#status'+id).val();
		$('#id').val(id);
		$('#status').val(val);
		$('#submit').click();
	}	
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\multipurpose_monkey\script\am-content\Plugins/ecommerce/views/admin/order/index.blade.php ENDPATH**/ ?>