<?php $__env->startSection('style'); ?>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
<div class="card">
    <div class="card-body">
        <div class="row mb-30">
            
            <div class="col-lg-12">
                <div class="customaizer-area">
                    <h3><?php echo e(__('Welcome To Admin Panel')); ?></h3>
                    <p><?php echo e(__('We’ve assembled some links to get you started:')); ?></p>
                </div>
                <hr>
            </div>
            <div class="col-lg-5">
                <div class="customaizer-area">
                    <div class="get-started">
                        <h4><?php echo e(__('Get Started')); ?></h4>
                        <a href="<?php echo e(route('admin.customaizer.index')); ?>"><?php echo e(__('Customize Your Site')); ?></a>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="next-steps">
                    <h4><?php echo e(__('Next Steps')); ?></h4>
                    <ul>
                        <li><a href="<?php echo e(url('admin/metting/create')); ?>"><i class="far fa-handshake"></i> <?php echo e(__('Add Live Meeting')); ?></a></li>
                        <li><a href="<?php echo e(route('admin.page.create')); ?>"><i class="far fa-file"></i> <?php echo e(__('Add additional pages')); ?></a></li>
                        <li><a href="<?php echo e(route('admin.post.create')); ?>"><i class="fab fa-blogger-b"></i> <?php echo e(__('Add a blog post')); ?></a></li>
                        <li><a href="<?php echo e(url('/')); ?>"><i class="fas fa-eye"></i> <?php echo e(__('View your site')); ?></a></li>
                    </ul>
                </div>
            </div>
            <div class="col-lg-3">
                <div class="next-steps">
                    <h4><?php echo e(__('More Action')); ?></h4>
                    <ul>
                        <li><a href="<?php echo e(url('admin/appearance/menu')); ?>"><i class="fas fa-bars"></i> <?php echo e(__('Manage menus')); ?></a></li>
                        <li><a href="<?php echo e(url('admin/setting/seo')); ?>"><i class="fas fa-cogs"></i> <?php echo e(__('SEO Settings')); ?></a></li>
                        <li><a href="<?php echo e(url('admin/setting/env')); ?>"><i class="fas fa-cog"></i></i> <?php echo e(__('Manage system Settings')); ?></a></li>
                        <li><a href="<?php echo e(url('admin/setting/filesystem')); ?>"><i class="fas fa-file-code"></i> <?php echo e(__('Manage filesystem')); ?></a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="row mb-10">
            <div class="col-lg-6">
                <h4><?php if($type == 'live'): ?>Live <?php elseif($type == 'upcoming'): ?>Upcoming <?php else: ?> Schduled <?php endif; ?><?php echo e(__('Meeting List')); ?></h4>
            </div>
        </div>
        <div class="table-responsive custom-table">
            <table class="table">
                <thead>
                    <tr>
                        <th class="am-title"><?php echo e(__('Title')); ?></th>
                        <th class="am-author"><?php echo e(__('Live Class')); ?></th>
                        <th class="am-tags"><?php echo e(__('Status')); ?></th>
                        <th class="am-tags"><?php echo e(__('Duration')); ?></th>
                        <th class="am-tags"><?php echo e(__('Date')); ?></th>
                        <th class="am-date"><?php echo e(__('Start Time')); ?></th>
                        <th class="am-date"><?php echo e(__('Action')); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php if(!empty($main_data)): ?>
                    <?php $__currentLoopData = $main_data['meetings']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td>
                            <?php echo e($value['topic']); ?>

                            <div class="hover">
                                <a href="<?php echo e(route('zoom.edit',$value['id'])); ?>"><?php echo e(__('Edit')); ?></a>
                                <a href="<?php echo e(route('zoom.delete',$value['id'])); ?>" class="last"><?php echo e(__('Delete')); ?></a>
                            </div>
                        </td>
                        <td><?php echo e($value['id']); ?></td>
                        <td>
                            <?php if($type == 'upcoming'): ?>
                            upcoming
                            <?php elseif($type == 'live'): ?>
                            live
                            <?php else: ?>
                            scheduled
                            <?php endif; ?>
                        </td>
                        <td><?php echo e($value['duration']); ?> minutes</td>
                        <?php if(isset($value['start_time'])): ?>
                        <td>
                            <?php
                            $main_date = str_replace("T", " ", $value['start_time']);
                            $final_date = substr($main_date, 0,-4);
                            ?>
                            <?php echo e(Carbon\Carbon::parse($final_date)->isoFormat('ll')); ?>

                        </td>
                        <?php else: ?>
                        <td>null</td>
                        <?php endif; ?>
                        <?php if(isset($value['start_time'])): ?>
                        <td><?php echo e(Carbon\Carbon::parse($final_date)->isoFormat('LT')); ?></td>
                        <?php else: ?>
                        <td>null</td>
                        <?php endif; ?>
                        <td>
                            <?php if($type == 'live'): ?>
                            <a class="live_btn" href="<?php echo e(route('zoom.host',$value['id'])); ?>"><?php echo e(__('Join Live')); ?></a>
                            <?php else: ?>
                            <a class="live_btn" href="<?php echo e(route('zoom.host',$value['id'])); ?>"><?php echo e(__('Start Live')); ?></a>
                            <?php endif; ?>
                        </td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </tbody>

                <tfoot>
                    <tr>
                        <th class="am-title"><?php echo e(__('Title')); ?></th>
                        <th class="am-author"><?php echo e(__('Live Class')); ?></th>
                        <th class="am-tags"><?php echo e(__('Status')); ?></th>
                        <th class="am-tags"><?php echo e(__('Duration')); ?></th>
                        <th class="am-tags"><?php echo e(__('Date')); ?></th>
                        <th class="am-date"><?php echo e(__('Start Time')); ?></th>
                        <th class="am-date"><?php echo e(__('Action')); ?></th>
                    </tr>
                </tfoot>
            </table>
             <?php if(!empty($main_data)): ?>
            <nav aria-label="...">
                <ul class="pagination pagination-sm">
                    <?php
                    $v=1;
                    ?>

                    <li class="page-item <?php if($main_data['page_number']===1): ?> disabled <?php endif; ?>">
                        <a class="page-link" href="<?php echo e(route('zoom',['upcoming'=>"upcoming",'id'=>$main_data['page_number']-1 ])); ?>">Previous</a>
                    </li>
                    <?php for($i=1; $i < $main_data['page_count']; $i++): ?>
                    <li class="page-item <?php if(url()->current() === route('zoom',['upcoming'=>"upcoming",'id'=>$i])): ?> active <?php $v=$i ?> <?php endif; ?>" aria-current="page"><a class="page-link" href="<?php echo e(route('zoom',['upcoming'=>"upcoming",'id'=>$i])); ?>"><?php echo e($i); ?></a></li>
                    <?php endfor; ?>
                    <li class="page-item <?php if($main_data['page_count'] === $v+1 || $main_data['total_records'] == count($main_data['meetings'])): ?> disabled <?php endif; ?>">
                        <a class="page-link" href="<?php echo e(route('zoom',['upcoming'=>"upcoming",'id'=>$v+1])); ?>">Next</a>
                    </li>
                </ul>
            </nav>
            <?php endif; ?>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('admin/js/form.js')); ?>"></script>
<script>
    "use strict";    
//response will assign this function
function success(res){
   location.reload();
}
function errosresponse(xhr){
    $("#errors").html("<li class='text-danger'>"+xhr.responseJSON[0]+"</li>")
}

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\multipurpose_monkey\script\resources\views/admin/dashboard.blade.php ENDPATH**/ ?>